Bug 242254 (cmake-3.16.0) - [exp-run] Upgrade cmake to 3.16.0
Summary: [exp-run] Upgrade cmake to 3.16.0
Status: Closed FIXED
Alias: cmake-3.16.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-26 17:50 UTC by Tobias C. Berner
Modified: 2020-01-06 13:24 UTC (History)
3 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (69.95 KB, patch)
2019-11-26 17:50 UTC, Tobias C. Berner
no flags Details | Diff
v2 (73.05 KB, patch)
2019-12-07 20:16 UTC, Tobias C. Berner
no flags Details | Diff
v3 (72.96 KB, patch)
2019-12-30 21:24 UTC, Adriaan de Groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-11-26 17:50:35 UTC
Created attachment 209456 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade cmake to 3.16.0.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/cmake-3.16.0.v1.diff


mfg Tobias
Comment 3 commit-hook freebsd_committer 2019-12-07 20:08:10 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec  7 20:07:58 UTC 2019
New revision: 519235
URL: https://svnweb.freebsd.org/changeset/ports/519235

Log:
  misc/openvdb: prepare for cmake-3.16.0

  PR:		242254

Changes:
  head/misc/openvdb/Makefile
Comment 4 Tobias C. Berner freebsd_committer 2019-12-07 20:16:23 UTC
Created attachment 209777 [details]
v2

Second version of the patch:
https://people.freebsd.org/~tcberner/patches/cmake-3.16.0.v2.diff

This marks math/openmesh and science/fleur broken for now
Comment 7 grarpamp 2019-12-27 11:56:12 UTC
You will need to update cmake to 3.16.2 since it is the
only version which supports the new boost 1.72.0 version
that landed in ports and packages 2 weeks ago.

https://gitlab.kitware.com/cmake/cmake/blob/master/Modules/FindBoost.cmake
https://github.com/Kitware/CMake/commits/master/Modules/FindBoost.cmake
https://github.com/Kitware/CMake/releases/


ie: With 1.72.0, users are now being hit with these warnings
when the older cmake checks for boost version dependencies...

New Boost version may have incorrect or missing dependencies and imported targets...
Call Stack (most recent call first):
(_Boost_COMPONENT_DEPENDENCIES)
(_Boost_MISSING_DEPENDENCIES)
Comment 8 Tobias C. Berner freebsd_committer 2019-12-27 14:01:03 UTC
Moin moin

Yes, still has the same failures in the two ports though and I did not yet have time to figure out why.


Mfg Tobias
Comment 9 Adriaan de Groot freebsd_committer 2019-12-30 20:42:36 UTC
Both of the two ports mentioned as failing (deal.II and qmcpack) build locally with poudriere; I suspect that they secretly were fixed by the Boost work or other commits.
Comment 10 Adriaan de Groot freebsd_committer 2019-12-30 21:24:54 UTC
Created attachment 210339 [details]
v3

This latest version of the patch updates to 3.16.2. Locally, the deal.II and qmcpack ports build with this version (and newer boost and whatnot that has happened since mid-december)
Comment 11 Antoine Brodin freebsd_committer 2020-01-06 06:39:24 UTC
Exp-run looks fine
Comment 12 commit-hook freebsd_committer 2020-01-06 12:57:40 UTC
A commit references this bug:

Author: adridg
Date: Mon Jan  6 12:57:05 UTC 2020
New revision: 522222
URL: https://svnweb.freebsd.org/changeset/ports/522222

Log:
  Update devel/cmake to latest upstream release, 3.16.2

  This new release has support for the latest Boost, Objective-C
  and various small improvements. The release notes are at:
  	https://cmake.org/cmake/help/v3.16/release/3.16.html

  Two ports could not be persuaded to build with this new release
  (math/openmesh science/fleur) and are marked BROKEN. Other build
  fixes have already been done in-tree.

  Thanks antoine@ for the exp-runs (multiple).
  Thanks tcberner@ for prep-work (most of the work, actually).

  PR:		242254

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-Source_CPack_cmCPackFreeBSDGenerator.cxx
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-doc/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/kms-cmake-utils/Makefile
  head/devel/kms-cmake-utils/pkg-plist
  head/math/casadi/Makefile
  head/math/openmesh/Makefile
  head/science/fleur/Makefile